import request from '@/utils/request'

const houseGuaranty = {
    genConsignorLetter(params) {
        return request.get(`/house/guaranty/consignor/${params}`)
    },

    analysisCollect1(params) {
        return request.get(`/house/guaranty/collect1/${params}`)
    },

    genTargetsTableWord(params) {
        return request.post(`/house/guaranty/targetTable`,params)
    },
    getProcessByDocId(params){
        return request.get(`/house/guaranty/${params}`)
    },
    getProcesses(params){
        if (params){
            return request.get(`/house/guaranty/process?id=${params}`)
        }else {
            return request.get(`/house/guaranty/process`)
        }
        
    },
    getTargetsById(params){
        return request.get(`/house/guaranty/targets/${params}`)
    },
    saveSupplement(params){
        return request.post(`/house/guaranty/target`, params)
    },
    getTarget(param1,param2){
        return request.get(`/house/guaranty/target?docId=${param1}&tId=${param2}`)
    },
    genConditionDoc(params){
        return request.get(`/house/guaranty/condition/${params}`)
    },

    genResultDoc(params){
        return request.get(`/house/guaranty/result/${params}`)
    },


}

export default houseGuaranty


