import request from '@/utils/request'

// 创建新的测算表
export function createAssetsCalculate(params) {
    return request.post('/assetsCalculate/save', params)
}

// 获取未完成测算表进度信息
export function getUnFinishedCalculateProgress(params) {
    return request.get(`/assetsCalculate/getUnFinishedCalculateProgress/${params}`)
}

// 导入机器设备信息
export function importEqptExcelData(params) {
    return request.post('/assetsCalculate/importEqptExcelData', params)
}

// 更新测算表基础测算信息
export function updateCalculateBaseInfo(params) {
    return request.put('/assetsCalculate/updateCalculateBaseInfo', params)
}

// 生成资产机器设备测算表
export function generateEquipmentCalculate(params) {
    return request.get(`/assetsCalculate/generateEquipmentCalculate/${params}`)
}

// 根据id查询项目下所有测算表
export function listAllCalculateByProjectId(params) {
    return request.get(`/assetsCalculate/listAllByProjectId/${params}`)
}

// 根据测算表id获取基础测算信息
export function getCalculateBaseInfo(params) {
    return request.get(`/assetsCalculate/getCalculateBaseInfo/${params}`)
}

// 根据测算表id获取评估基准日
export function getValuationBasisDate(params) {
    return request.get(`/assetsCalculate/getValuationBasisDate/${params}`)
}

// 根据项目id获取测算信息下拉框数据
export function getDropDownBoxData(params) {
    return request.get(`/assetsCalculate/getDropDownBoxData/${params}`)
}

// 根据测算表id获取生成机器设备融资项目报告引用的测算表信息
export function getReferencesInfoById(params) {
    return request.get(`/assetsCalculate/getReferencesInfoById/${params}`)
}