import request from '@/utils/request'

// 新建项目
export function createAssetsProject(params) {
    return request.post('/assetsProject/save/', params)
}

// 获取资产项目列表
export function getAssetsProject(params) {
    return request.get('/assetsProject/page/', { params: params })
}

// 获取项目详情
export function getAssetsProjectDetail(params) {
    return request.get(`/assetsProject/detail/${params}`)
}

// 修改资产项目
export function updateAssetsProject(params) {
    return request.put('/assetsProject/update/', params)
}

// 删除资产项目
export function deleteAssetsProject(params) {
    return request.delete(`/assetsProject/delete/${params}`)
}