import request from '@/utils/request'

// 创建资产测算表模板
export function createTmplAssetCalculate(params) {
    return request.post('/tmplAssetCalculate/save',params)
}

// 获取资产测算表的下拉框数据
export function getDropDownBoxData() {
    return request.get('/tmplAssetCalculate/getDropDownBoxData')
}

// 获取测算表模板列表
export function getTmplAssetCalculate(params) {
    return request.get('/tmplAssetCalculate/page', {params : params})
}

// 根据模板id查询详情
export function getTmplAssetCalculateDetailById(params) {
    return request.get(`tmplAssetCalculate/detail/${params}`)
}

// 删除测算表模板
export function deleteCalculate(params) {
    return request.delete(`tmplAssetCalculate/delete/${params}`)
}