import request from '@/utils/request'

// 创建资产报告模板
export function createTmplAssetReport(params) {
    return request.post('/tmplAssetReport/save',params)
}

// 获取资产报告的下拉框数据
export function getDropDownBoxData() {
    return request.get('/tmplAssetReport/getDropDownBoxData')
}

// 获取测算表模板列表
export function getTmplAssetReport(params) {
    return request.get('/tmplAssetReport/page', {params : params})
}

// 根据模板id查询详情
export function getTmplAssetReportDetailById(params) {
    return request.get(`tmplAssetReport/detail/${params}`)
}

// 删除测算表模板
export function deleteReport(params) {
    return request.delete(`tmplAssetReport/delete/${params}`)
}